- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Attributes

# Component Class Reference

Search for all occurrences

## Detailed Description

This is a base class for a component node, which can generate some data for a given target-source surface point pair.

There are different types of components (for example displacement, normal etc..) and the map extractor node has one instance of all the available types of classes inherited from the Component class. Each of these instances has an utilizer node attached to it, which gets the data calculated by the component. The user can turn on/off them all separately. Those which are turned off are ignored during the extraction. The enabled ones will be used to calculate data for each of the target-source location pair. Usually the component is calculating the data for the current target-source pair only (for example in case of vector displacement, it simply calculates the difference between the two locations in the space as a vector) but the component can also do batch procession of the location pairs, store them in a temporary array, and later only read those values from the array and return them in the ProcessSurfacePoint function. In this case the component must catch the eventQueueLocated using the OnPhaseEvent virtual function, and do the preprocessing then.

Definition at line 349 of file MapExtractorInterface.h.

`#include <MapExtractorInterface.h>`

Inheritance diagram for Component:
[legend]

List of all members.

## Classes
struct | DataInfo
| this structure provides information to other modules (mosty the utilizer) about the data calculated by the component
## Public Attributes
mudbox::abool | m_bEnabled
Mapper * | m_pMapper
class MapExtractor * | m_pMapExtractor
class Utilizer * | m_pUtilizer

## Member Data Documentation

mudbox::abool m_bEnabled

Search for all occurrences

Definition at line 419 of file MapExtractorInterface.h.

Mapper* m_pMapper

Search for all occurrences

Definition at line 420 of file MapExtractorInterface.h.

class MapExtractor* m_pMapExtractor

Search for all occurrences

Definition at line 421 of file MapExtractorInterface.h.

class Utilizer* m_pUtilizer

Search for all occurrences

Definition at line 422 of file MapExtractorInterface.h.

The documentation for this class was generated from the following file:

- MapExtractor/MapExtractorInterface.h

Component Component Component Component Component Component Component Component Component Component
Component Component Component Component Component Component Component Component Component Component